*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Josefin Sans', sans-serif;
  font-size: 16px;
  background-image: linear-gradient(
    135deg,
    hsl(0, 0%, 100%),
    hsl(0, 100%, 98%)
  );
}

.attribution {
  font-size: 11px;
  text-align: center;
}
.attribution a {
  color: hsl(228, 45%, 44%);
}

.logo {
  margin: 25px 20px;
  transform: scale(0.8);
}
.hero-mobile {
  width: 100%;
}
.text-content {
  text-align: center;
  margin: 60px 35px 0;
  color: hsl(0, 36%, 70%);
}
.heading {
  font-size: 46px;

  font-weight: 600;
  color: hsl(0, 6%, 24%);
  letter-spacing: 0.25em;
  text-transform: uppercase;
}
.thin {
  font-weight: 300;
  color: hsl(0, 36%, 70%);
}
.text-par {
  margin: 20px 0;
  font-weight: 500;
  line-height: 1.5;
  font-size: 14px;
}
.email-input {
  width: 100%;
}
form {
  margin-top: 30px;

  position: relative;
}
input {
  margin: 0;
  width: 100%;
  padding: 15px 30px;
  font-family: 'Josefin Sans', sans;
  font-weight: 400;
  font-size: 16px;
  color: black;
  border: 1px solid hsl(0, 36%, 70%);
  border-radius: 30px;
  background-color: inherit;
}
input:focus {
  outline: none;
}
input::placeholder {
  color: hsl(0, 36%, 70%);
  font-weight: 300;
}
.input-error {
  border: 2px solid hsl(0, 93%, 68%);
}
.btn-submit {
  margin: 0;
  padding: 0;
  width: 65px;
  height: 49px;
  border: none;
  border-radius: 30px;
  background-image: linear-gradient(135deg, hsl(0, 80%, 86%), hsl(0, 74%, 74%));
  position: absolute;
  right: 0%;
  cursor: pointer;
  box-shadow: 0px 6px 15px hsl(0, 36%, 70%);
}
.btn-submit:focus {
  outline: none;
  background-image: linear-gradient(135deg, hsl(0, 91%, 91%), hsl(0, 80%, 86%));
}
.btn-submit:hover {
  background-image: linear-gradient(135deg, hsl(0, 91%, 91%), hsl(0, 80%, 86%));
}
.error-icon {
  display: none;
}
.error-icon__show {
  display: block;
  position: absolute;
  right: 90px;
  bottom: 45px;
}
.error-message__hide {
  display: none;
}
.error-message__show {
  display: block;
  color: hsl(0, 93%, 68%);
  margin-left: 30px;
  margin-top: 15px;
  text-align: left;
}
.hero-large {
  display: none;
}

/* .................LARGE SCREEN................ */
@media screen and (min-width: 768px) {
  .hero-mobile {
    display: none;
  }
  .container {
    display: flex;
    justify-content: space-between;
  }
  .hero-large {
    display: block;
    margin: 0;
    padding: 0;
    background: url('images/hero-desktop.jpg') center / cover no-repeat;
    height: 100vh;
    min-width: 40%;
  }
  main {
    padding: 30px 10%;
    background-image: url('images/bg-pattern-desktop.svg');
    background-position: center;
    background-size: cover;
    flex-basis: 60%;
    flex-grow: 0;
    flex-shrink: 1;
    position: relative;
  }
  .text-content {
    text-align: left;
    width: 460px;
    margin-top: 80px;
  }
  .heading {
    font-size: 58px;
  }
  .text-par {
    font-size: 18px;
    margin: 30px 0;
  }
  .btn-submit {
    width: 75px;
  }
  .error-icon__show {
    right: 110px;
  }
}
